- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_GetSpecifiedInstancesMethod;'
    name: GSI - Get Specified Instances Method
    index: 40
    inherits: '&IDC_Method;'
    customTagName: getSpecifiedInstancesMethod
    defaultTask: '&IDI_Task_ViewGetSpecifiedInstancesMethod;'
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_GSI;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningInstanceSet;'
    relatedTasks:
    - instance: '&IDI_Task_ViewGetSpecifiedInstancesMethod;'
    - instance: '&IDI_Task_EditGetSpecifiedInstancesMethod;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Get_Specified_Instances_Method__returns__Work_Set;'
      customTagName: 'returnsWorkSetId'
    - instance: '&IDR_Get_Specified_Instances_Method__uses__Instance;'
      customTagName: 'selectsInstances'

  - relationship: '&IDR_Get_Specified_Instances_Method__returns__Work_Set;'
    index: 74
    sourceClassId: '&IDC_GetSpecifiedInstancesMethod;'
    type: 'returns'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__returned_by__Get_Specified_Instances_Method;'
    singular: yes

  - relationship: '&IDR_Work_Set__returned_by__Get_Specified_Instances_Method;'
    index: 75
    sourceClassId: '&IDC_WorkSet;'
    type: 'returned by'
    destinationClassId: '&IDC_GetSpecifiedInstancesMethod;'
    siblingRelationshipId: '&IDR_Get_Specified_Instances_Method__returns__Work_Set;'
    singular: no

  - relationship: '&IDR_Get_Specified_Instances_Method__uses__Instance;'
    index: 76
    sourceClassId: '&IDC_GetSpecifiedInstancesMethod;'
    type: 'uses'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__used_by__Get_Specified_Instances_Method;'
    singular: yes

  - relationship: '&IDR_Instance__used_by__Get_Specified_Instances_Method;'
    index: 77
    sourceClassId: '&IDC_Instance;'
    type: 'used by'
    destinationClassId: '&IDC_GetSpecifiedInstancesMethod;'
    siblingRelationshipId: '&IDR_Get_Specified_Instances_Method__uses__Instance;'
    singular: no
